ReferenceNotifications
Email and delivery status (platform admins and auditors)
GET
Email is configured by the operator with SMTP_HOST, SMTP_PORT, SMTP_USERNAME, SMTP_PASSWORD, SMTP_FROM and SMTP_TLS and is off without SMTP_HOST. Shown: whether it is on, the From address, host, port, TLS mode and whether it authenticates, never the username or password. Also the delivery queue's state.
Status
application/json- response
data*curl -X GET 'https://mcp.example.com/v1/admin/settings/notifications'{ "data": { "email": { "configured": true, "from": "string", "host": "string", "port": 0, "tls": "starttls", "authenticated": true, "sentLast24h": 0, "failedLast24h": 0 }, "webhooks": { "teamDestinations": 0, "platformDestinations": 0, "stopped": 0 }, "queue": { "pending": 0, "failedLast24h": 0, "oldestPendingAt": "2019-08-24T14:15:22Z", "lastRunAt": "2019-08-24T14:15:22Z", "intervalSeconds": 0 } }}